#!/usr/bin/perl
print qq{Expires: Mon, 06 May 1996 04:57:00 GMT\nContent-type: text/html\n\n<html><pre>} if $ENV{'DOCUMENT_ROOT'};

require "./intuitive.pm";
$ENV{'WINDIR'}?($DirSeparator = '\\'):($DirSeparator = '/');

use DBI;
$SIG{__WARN__} = PrintError;
$MLDBH = DBI->connect("DBI:mysql:database=$mySQLDBName;host=$mySQLHost",$mySQLUser,$mySQLPassword);

# pid file
$sth = $MLDBH->prepare("select pvalue from _iml_tune where pname = 'AttachDir'");
$sth -> execute();
($attachdir) = $sth->fetchrow_array();
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('PIDFile',".$MLDBH->quote("$attachdir$DirSeparator".'delivery.pid').');');

# debug delivery
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('DebugDelivery','0');");

# POP3 auth
$MLDBH -> do("INSERT INTO _iml_tune VALUES ('POP3Auth','');");

# timestamp for users
$MLDBH -> do("ALTER TABLE _iml_users ADD COLUMN subscribed timestamp(8) NOT NULL;");

print "done\n";


sub PrintError
{
	print "$_[0]\n";
}

